# Elementon Icon Font

A wrapper/package around an icon font that can be included in projects using npm and gulp/webpack/mix for use in Elementon projects.

- Based on the bootstrap icon set https://icons.getbootstrap.com/
- Additions made in icomoon https://icomoon.io/app/. Icomoon source file is provided.

## How to install

Setup elementon registry in the `.npmrc` file.

```
@elementon:registry=https://code.elementon.nl/api/packages/Elementon/npm/
```

Install using your favourite package manager.

```bash
npm install --include dev @elementon/icon-font
yarn add -D @elementon/icon-font
```

Include in your frontend bundle. 

```css
@import "@elementon/icon-font/style";
```

If included with vite, webpack or mix it should automatically handle the movement of font files and inclusion of relevant css.

## How to use

All icons can be used using the `eli-` prefix. See [demo.html](demo.html) for all available icons.

```html
<i class="eli-mug"></i>
```
